using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int x1 = int.Parse(s[0]);
            int y1 = int.Parse(s[1]);
            string[] p = Console.ReadLine().Split(' ');
            int x2 = int.Parse(p[0]);
            int y2 = int.Parse(p[1]);
            int x3 = 0, y3 = 0, x4 = 0, y4 = 0;
            if (x1 < x2 && y1 < y2)
            {
                x3 = x2;
                y3 = y1;
                x4 = x1;
                y4 = y2;
            }
            Console.WriteLine("(" + x1 + "," + y1 + ")" + "(" + x2 + "," + y2 + ")" + "(" + x4 + "," + y4 + ")" + "(" + x3 + "," + y3 + ")");
        }
    }
}